sb2-logz(1)

NAME
sb2-logz - sb2 log postprocessing tool

SYNOPSIS
sb2-logz [options] < logfile

DESCRIPTION
sb2-logz reads logs created by scratchbox2 and writes summaries (the log files can be really huge, and manually digging out information from them might be a time-consuming task).

Logs are produced when sb2 is executed with -d (debug) or -L options (e.g. "-L info")

OPTIONS

-b  no blacklist: do not ignore log lines from functions like __xstat() (there is a built-in blacklist, which tries to minimize "noise" caused by various libraries and scratchbox2 itself)

-B fn1,fn2,..
    blacklist funcions fn1,fn2,..: ignore lines generated by the listed library calls.

-d level
    debug mode, for debugging the script itself.

-h  show help text.

-i  print details about 'disabled' pathnames (unmodifed paths, because mapping was momentarily disabled)

-l  print long details (affects output of -i,-m,-r,-p etc)

-m  print details about mapped pathnames (src->dest)

-N  print all 'notice' messages

-p  print details about passed pathnames ('passed path' = not mapped)

-r  print reversed mappings (dest->src)

-s  print process statistics

-v  verbose mode, prints dots while reading input etc.

-P file.dot
    write process diagram to file.dot (postprocess it with 'dot', e.g. 'dot -Tpdf file.dot >file.pdf'

-E file.dot
    write execution diagram to file.dot (postprocess it with 'dot', e.g. 'dot -Tpdf file.dot >file.pdf'

-A acct-file
    Read process accounting information from acct-file (enhances output of -P and -E)'

BUGS
Option -A requires an accounting log, which has to be activated separately. Generation of accounting information typically requires super-user privileges (or CAP_SYS_PACCT capability on Linux). This is an system-level restriction, and not fault of scratchbox2. However, sb2-logz has some limitations: Correlating information from the accounting log is based on process ids, and the heuristics may fail if there were really many processes; The -P, -E and -A options may be less useful for longer runs. Best results are achieved if process accounting is switched on just before the scratchbox2 session is created, and switched off afterwards - and there is nothing else running on the host at the same time.

SEE ALSO
sb2(1), sb2-config(1), sb2-init(1), acct(2), dot(1) ( dot belongs to the graphviz package)

AUTHOR
Lauri Aarnio